Bug 1019754 - Custom form layout not working - lots of NullPointerExceptions when using it
Custom form layout not working - lots of NullPointerExceptions when using it
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Form Modeler (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Neus Miras
Jan Hrcek
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 07:02 EDT by Jan Hrcek
Modified: 2014-08-06 16:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Summary: Trying to use a custom form for a authoring a project results in multiple points of failure. The custom form is not loaded and there are several errors in the log files. Further, trying to generate a template or save it, based on this custom form default results in more errors. Cause: Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:11:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Steps to reproduce - video (15.16 MB, video/webm)
2013-10-16 07:02 EDT, Jan Hrcek
no flags Details
server.log with exceptions (198.60 KB, text/x-log)
2013-10-16 07:03 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-10-16 07:02:50 EDT
Created attachment 812864 [details]
Steps to reproduce - video

Description of problem:
When you select custom form layout > Edit in form modeler, the layout is not loaded in the HTML editor - instead NullPointerExceptions appear in server.log (attached). When generating template based on default layout there are again NPEs. NPEs are also thrown when you try to save the layout.

See video and server.log attached.

Version-Release number of selected component (if applicable):
BPMS 6.0.0 ER4 deployed on EAP 6.1 (can be downloaded here: http://dev138.mw.lab.eng.bos.redhat.com/candidate/bpms-6.0.0-ER4/)

How reproducible:
Always

Steps to Reproduce:
1. Authoring > project authoring
2. In project explorer select: Demo > Jbpm-playground > Evaluation
3. Open form: evaluation-taskform
4. In form modeler choose Form Properties, click Custom form layout > Edit (first batch of NPEs in the server log)
5. Click Generate template based on default > OK (2nd batch of NPEs)
6. Click save button at the bottom (3rd batch of NPEs)

Actual results:
described in steps to reproduce

Expected results:
It should open the form layout markup and it should be possible to edit it.
Comment 1 Jan Hrcek 2013-10-16 07:03:29 EDT
Created attachment 812865 [details]
server.log with exceptions
Comment 4 Jan Hrcek 2013-12-02 03:09:09 EST
Ok, now the Custom form layout editor works correctly - no more NPEs when opening editor or when generating forms in it. Verified with BPMS 6.0.0 ER5

Note You need to log in before you can comment on or make changes to this bug.